# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

IUSE=""

DESCRIPTION="Desktop mascot currently called that like 'Are Igai No Nanika' for X"
SRC_URI="mirror://sourceforge.jp/ninix-aya/6385/${P}.tgz"
HOMEPAGE="http://www.geocities.co.jp/SiliconValley-Cupertino/7565/
	http://sourceforge.jp/projects/ninix/"

DEPEND="dev-lang/python
	=x11-libs/gtk+-2*
	>=dev-python/pygtk-1.99.16
	media-libs/libpng
	app-arch/unzip
	app-arch/lha
	dev-python/japanesecodecs"

KEYWORDS="x86 alpha ~sparc ~sparc64 ~ppc"
LICENSE="GPL-2"
SLOT="0"

S="${WORKDIR}/${P}"

src_unpack(){
        unpack ${A}

		local DIR="modules"
		for EACH in ${DIR}
		do
		  (
			  cd ${S}/${EACH}

			  mv Makefile.${EACH} Makefile.${EACH}.orig
			  sed -e "s/^\([[:blank:]]\+-cp\)/#\1/" \
				  Makefile.${EACH}.orig > Makefile.${EACH}
		  )
		done
}

src_compile(){
	emake prefix=/usr \
		exec_libdir=/usr/lib/ninix \
		docdir=/usr/share/doc/${P} \
		NINIX=ninix \
		NINIX_INSTALL=ninix-install \
		NINIX_LOOKUP=ninix-lookup \
		NINIX_UPDATE=ninix-update \
		|| die "Compile failed."
}

src_install(){
	emake DESTDIR=${D} \
		prefix=/usr \
		exec_libdir=/usr/lib/ninix \
		docdir=${D}/usr/share/doc/${P} \
		NINIX=ninix \
		NINIX_INSTALL=ninix-install \
		NINIX_LOOKUP=ninix-lookup \
		NINIX_UPDATE=ninix-update \
		install || die "Install failed."

	cd ${S}/doc
	docinto doc
	dodoc *
}
